<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Добавить фильм режиссеру / актеру</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Добавить фильм режиссеру / актеру: ' + ${director}"></h3>
    <form class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/directors/add-film}" th:object="${directorFilmForm}">
        <input type="hidden" name="directorId" th:value="${directorId}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <!--TODO: Посмотреть в сторону select списка с вводом-->
                    <select class="form-select" name="filmId" id="filmTitle" required>
                        <option selected th:value="${null}">Выберете фильм</option>
                        <option
                                th:each="film : ${films}"
                                th:value="${film.getId()}"
                                th:text="${film.getFilmTitle()}">
                        </option>
                    </select>
                    <label for="filmTitle">Название фильма</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Добавить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </form>
</div>
</body>
</html>